<?php
include 'conexao.php';

if (isset($_POST['turma_id'])) {
    $turma_id = $_POST['turma_id'];
    $stmt = $conn->prepare("SELECT id, nome FROM alunos WHERE turma_id = ?");
    $stmt->bind_param("i", $turma_id);
    $stmt->execute();
    $resultado = $stmt->get_result();

    echo '<option value="">-- Selecione o Aluno --</option>';
    while ($row = $resultado->fetch_assoc()) {
        echo '<option value="' . $row['id'] . '">' . $row['nome'] . '</option>';
    }
}
